org.apache.mina.http.api

## Interface HttpResponse

- All Superinterfaces:
    HttpMessage
  All Known Implementing Classes:
    DefaultHttpResponse

      public interface HttpResponse
      extends HttpMessage

  An HTTP response to an HTTP request
  Author:
    The Apache MINA Project (dev@mina.apache.org)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpStatus` | `getStatus()` The HTTP status code for the HTTP response (e.g.

    - ### Methods inherited from interface org.apache.mina.http.api.HttpMessage

      `containsHeader, getContentType, getHeader, getHeaders, getProtocolVersion, isKeepAlive`

- - ### Method Detail

    - #### getStatus

          HttpStatus getStatus()

      The HTTP status code for the HTTP response (e.g. 200 for OK, 404 for not found, etc..)
      Returns:
        the status of the HTTP response

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.